Summary: Common libraries for all services running on the CREAM CE
Name: glite-ce-common-java
Version: 1.16.1
Release: 2%{?dist}%{!?dist:.el5}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: noarch
BuildRequires: maven
Requires: axis2, bouncycastle 
Requires: tomcat6
Requires: argus-pep-common, argus-pep-api-java
Requires: canl-java, voms-api-java3, jclassads, mysql-connector-java
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%global _tomcat tomcat6
%global _tomcatclibdir /usr/share/java/tomcat6

%description
Common libraries for all services running on the CREAM CE

%prep
%setup -c -q

%build
mvn -Drpm.repackaging=false -DskipTests compile

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mvn -Drpm.repackaging=false -DskipTests install
mkdir -p %{buildroot}/usr/share/java
cp %{_builddir}/%{name}-%{version}/target/cream-common-1.16.1.jar %{buildroot}/usr/share/java/glite-ce-common-java.jar
mkdir -p %{buildroot}/%{_javadocdir}/%{name}
ln -s %{_builddir}/%{name}-%{version}/target/apidocs %{buildroot}/%{_javadocdir}/%{name}/html

%clean
rm -rf %{buildroot} 

%post
if [ $1 -eq 1 ] ; then
  
  touch /etc/grid-security/admin-list
  
  # JDBC driver must be loaded by the same classloader used for dbcp
  ln -s /usr/share/java/mysql-connector-java.jar %{_tomcatclibdir}/mysql-connector-java_forcream.jar


fi

%preun
if [ $1 -eq 0 ] ; then

  rm -f %{_tomcatclibdir}/mysql-connector-java_forcream.jar
 
fi

%triggerin -- canl-java
#This workaround fixes the missing symlink in canl-java
CANLJAR=`ls /usr/share/java/canl-*.jar | grep -E 'canl-[0-9]+\.[0-9]+\.[0-9]+'`
ln -sf ${CANLJAR} /usr/share/java/canl.jar


%files
%defattr(-,root,root)
/usr/share/java/*.jar

%package doc
Summary: Documentation files for the CREAM Common library
Group: Documentation
Requires: %{name}

%description doc
Documentation files for the CREAM Common library

%files doc
%defattr(-,root,root)
%dir %{_javadocdir}/%{name}/html/
%dir %{_javadocdir}/%{name}/html/resources/
%doc %{_javadocdir}/%{name}/html/resources/*

%doc %{_javadocdir}/%{name}/html/*.html
%doc %{_javadocdir}/%{name}/html/stylesheet.css
%doc %{_javadocdir}/%{name}/html/package-list
%dir %{_javadocdir}/%{name}/html/org/
%dir %{_javadocdir}/%{name}/html/org/glite/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/*.html
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/class-use/
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/class-use/*.html
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/*.html
%dir %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/class-use/
%doc %{_javadocdir}/%{name}/html/org/glite/ce/commonj/configuration/xppm/class-use/*.html

%changelog
* Fri Jun 28 2013 CREAM group <cream-support@lists.infn.it> - 1.16.1-2
- New major release


